<template>
    <div class="liuyanlist">
      <back  title="留言详情"></back>
      <div class="list">
        <p>留言：</p>
        <p class="shijian">{{data.create_time}}</p>
        <div class="neirong" v-text="data.content"></div>
      </div>
      <div class="list list1">
        <p>回复：</p>
        <p class="neirong" v-text="data.reply_content"></p>
      </div>
    </div>
</template>

<script>
  import Back from "../common/Back"
  import { getStore } from '@/utils/storage'
  import { Toast } from "mint-ui"
    export default {
        name: "LiuYanListDetail",
        components:{Back},
      data(){
        return{
          data:{}
        }
      },
      created () {
        let id = this.$route.query.id
        this.getPageData(id)
      },
      methods:{
        getPageData(id){
          this.getData('/Member/messageDetail',{token:getStore('token'), id: id}).then(
            data=>{
              if(data.code==1){
                this.data = data.data;
              }else{
                Toast(data.msg);
              }
            },
            err=>{  })
        },
      }
    }
</script>

<style lang="scss" scoped>
  .liuyanlist{
    padding-top: 5rem;
    .list{
      width: 90%;
      margin: auto;
      border-bottom: 0.05rem solid #9C9C9C;
      text-align: left;
      padding-bottom: 1rem;
      p{
        font-size: 2rem;
        margin: 1rem 0;
      }
      .shijian{
        color: #9E9E9E;
        font-size:1.46rem;
        font-family:MicrosoftYaHei;
        font-weight:400;

      }
      .neirong{
        font-size:1.35rem;
        font-family:MicrosoftYaHei;
        font-weight:400;
        word-break: break-word;
      }
    }
    .list1{
      border-bottom: none;
    }
  }
</style>
